// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UVisual.h"
#include "SCW_UObject.h"

class UVisual;

namespace Sourcify
{
	class SCW_UVisual : public SCW_UObject, public virtual ISCW_UVisual
	{
	public:
		SCW_UVisual(UVisual* InVisual);

		UVisual* ToUVisual() const;

	protected:
		UVisual* Visual;
	};
} // namespace Sourcify